Bug 113930 - EDITING: Bullets and Numbering incorrectly change tab positions
Summary: EDITING: Bullets and Numbering incorrectly change tab positions
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.4.3.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Bullet-Number-Outline-Lists Paragraph-Tab-Stops
  Show dependency treegraph
 
Reported: 2017-11-19 09:46 UTC by Óvári
Modified: 2017-12-06 18:12 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Óvári 2017-11-19 09:46:06 UTC
Description:
Changing the bullets or numbering incorrectly changes the tab positions by the amount the outline number changes. The tab positions should remain at their position.

Steps to Reproduce:
1. Add to tab position to a paragraph.
2. Click on ‘Bulleted List’ or ‘Numbered List’
3. The tab position has changed

Actual Results:  
'Bulleted lists' and 'numbered lists' change the tab position.

Expected Results:
'Bulleted lists' and 'numbered lists' should *not* change the tab position.


Reproducible: Always


User Profile Reset: No



Additional Info:
Thank you

Linux Mint 18.3 Cinnamon

LibreOffice version: 5.4.3.2
Build ID: 92a7159f7e4af62137622921e809f8546db437e5
CPU threads: 2; OS: Linux 4.10; UI render: default; VCL: gtk2


User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:57.0) Gecko/20100101 Firefox/57.0
Comment 1 Dieter Praas 2017-11-19 10:22:52 UTC
Thank you for reporting the bug. Personally I think, it's not a bug. The tab position is defined with the Bullet List or the Numbered List. So if you choose one of those lists, the tab position will change.

You can find some informatons about it in the writer-documentation (chapter 7): https://wiki.documentfoundation.org/Documentation/Publications

I changed the status to NOTABUG. If you don't agree, feel free to change it back to UNCONIRMED.
Comment 2 Óvári 2017-11-19 22:06:35 UTC
(In reply to Dieter Praas from comment #1)
> I changed the status to NOTABUG. If you don't agree, feel free to change it
> back to UNCONIRMED.
We don't agree. What is the way forward to getting the bug fixed without verbose explanations like previous bugs that have previously been written, set as NOTABUG, and then implemented and set to FIXED?

Thank you
Comment 3 Buovjaga 2017-11-20 19:50:33 UTC
(In reply to Óvári from comment #2)
> (In reply to Dieter Praas from comment #1)
> > I changed the status to NOTABUG. If you don't agree, feel free to change it
> > back to UNCONIRMED.
> We don't agree. What is the way forward to getting the bug fixed without
> verbose explanations like previous bugs that have previously been written,
> set as NOTABUG, and then implemented and set to FIXED?

The way there is perilous and your report might get eaten by the hell-hounds of UX team.
Comment 4 Heiko Tietze 2017-11-27 15:10:48 UTC
Lists do have their own style including tab definition. If you want numbers and bullets to align with your paragraph you have to configure it. If you are talking about the default I believe it depends a lot on the use case. =>WF

Good news is that we plan to rework the dialog. https://design.blog.documentfoundation.org/2017/10/28/impress-lists/
Comment 5 Óvári 2017-12-06 01:01:11 UTC
(In reply to Heiko Tietze from comment #4)
> Lists do have their own style including tab definition. If you want numbers
> and bullets to align with your paragraph you have to configure it. If you
> are talking about the default I believe it depends a lot on the use case.
> =>WF
> 
> Good news is that we plan to rework the dialog.
> https://design.blog.documentfoundation.org/2017/10/28/impress-lists/

Thank you for advising your design blog which refers to Impress. Will reworked dialog be implement across the LO suite (including Writer)?

Could you please advise which figure in the rework dialogs enable the tabs and bullets/numbering to be independent of each other?

Have you checked the default behaviour of other Office suites? Google Docs and MS Word Bullets and Numbering do not change the tab positions; hence, could you please advise:
1. Where the option is to enable tab positions to be independent of the bullets and numbering; or
2. How to write the enhancement bug ticket so that a workflow similar to Google Docs and MS Word can be enabled in LO Writer.

Thank you
Comment 6 Óvári 2017-12-06 01:03:12 UTC
Should the status have been changed to UNCONFIRMED with the submission of:
https://bugs.documentfoundation.org/show_bug.cgi?id=113930#c5

Thank you
Comment 7 Heiko Tietze 2017-12-06 18:12:09 UTC
(In reply to Óvári from comment #5)
> 1. Where the option is to enable tab positions to be independent of the
> bullets and numbering; or

That will not happen. We are restricted to the ODF which defines paragraph style over table style (discussed now in bug 114287) with a default value on the indentation and tab. What you ask for, zero indentation with tabs, is possible via dedicated style but not when you directly format (click the bullet at the toolbar). 

> 2. How to write the enhancement bug ticket so that a workflow similar to
> Google Docs and MS Word can be enabled in LO Writer.

MS Word is similar to Writer except it automatically changes the paragraph style from 'default' to 'list' - but the bullets are indented anyway. GDocs has no indentation before the bullet, most likely defined somewhere in the code. 

So if you request to change the default indentation of lists feel free to file another ticket. But this change needs much acceptance in the community so be aware of getting rejected.